Description

На данный момент в методах класса ERDecayEXP1803 для бинарной реакции используются методы TGenPhaseSpace, в

которой заложено, что угловое распределение вылетающих частиц - изотропно. 

Добавить методы, позволяющие разыгрывать реакцию, использую заданную пользователем функцию углового

распределения.

Результат:

Вся функциональность проверялась в ветке 168_EventsWith6HeZeroSpeed

commit 2a576fbe7a34efde6a5cdf6ab3177af99fedf40f

макросы симуляции, обработки и  отрисовки прикреплены. Функциональность была доавлена в класс ERDecayEXP1803.

Добавленные методы основаны на http://old.pskgu.ru/ebooks/djekson/djekson_12.pdf .

￼

В симуляции использовалось распределение энергии возбуждения 5H состоящее из двух гауссов: "mean"="0.4"

"shape"="gauss" "strength"="1" "width"="0.02355"

"mean"="1.2" "shape"="gauss" "strength"="1" "width"="0.2355". Значение, разыгрывающееся случайным образом из описанного

распределения использовалось как добавка к массе оснровного состояния 5H, равного 4.69036244;  // [GeV]. масса

основного состояния задается пользователем в макросе симуляции. Исходя из заданного распределения, понятны

раздвоения линий.

При разыгрывания бинарной реакции, в случае, если раыгранная энергия возбуждения превышает порог реакции, то

энергия возбуждения разыгрывается ещё раз, пока бинарная реакция не сможет произойти. 

Для разыгрывания бинарной реакции (6he + h2 - > 5H + 3He)  использовалось распределение полярного угла вылета

продуктов реакции в с.ц.м реакции. Распределение считывалось из прикрепленного файла.

 LISE%20output2.png 

Рассматривались события, соответствующие второму максимуму углового распределения.  (зелёные линии). Как и в

рассчётах SIMONE, в данном случае, He3 в лабе вылетает под углами (21,33) в лабе.

Все результаты совпадают с полученными в SIMONE. 

Используется нестандартный для er метод разыгрывания AD для бинарной реакции, не используются методы

класса ERTextDecay. Цитата Виталика по этому поводу: "Относительно ERTextDecay - давайте чтение из текстового файла

применять, только тогда, когда не можем запрограммировать быстро и вычислительно просто результат распада. В этом

случае получилось." 

Существующие проблемы

Возникла проблема, скорее всего связанная с  использованием генератора случайных чисел, при разыгрывании угла

вылета продуктов бинарной реакции в сцм. Double_t thetaCM = fADFunction->GetRandom(1.,150.)*TMath::DegToRad(); Было

выяснено, что иногда (при большой статистике > 10000 событий) возникают события, в которых кинетическая энергия 6He

равна 0, поэтому симуляция зацикливается на этапе разыгрывания бинарной реации.  Задача перенесена 

http://er.jinr.ru/develop/issues/169
Related issues:

Related to bugs #168: события с нулевой скоростью 6he? Закрыта 03/20/2018 03/22/2018

History

#1 - 03/15/2018 01:21 PM - Vitaliy Schetinin

Обычно это делается так. Теоретики с помощью своих программ пишут большой текстовый файл с результатами реакции в цм и мы его

загружаем с помощью ERTextDecay

#2 - 03/20/2018 05:53 PM - Ivan Muzalevsky

- % Done changed from 0 to 50

#3 - 03/21/2018 12:45 PM - Ivan Muzalevsky

- File ERh5KinAD.pdf added

Получены результаты с помощью встроенных в ER методов разыгрывания бинарной реакции, используя заданное пользователем угловое

распределение. Результаты в хорошем согласии с полученными в SIMONE. 

#4 - 03/21/2018 02:48 PM - Ivan Muzalevsky

- File Cs_6He_d_3He_5H_35-25AMeV.txt added

- File showData.C added

- File exp1803_sim_digi.C added

- File drawh5.C added

Результаты

Вся функциональность проверялась в ветке 168_EventsWith6HeZeroSpeed

commit 2a576fbe7a34efde6a5cdf6ab3177af99fedf40f

макросы симуляции, обработки и  отрисовки прикреплены. Функциональность была доавлена в класс ERDecayEXP1803.
В симуляции использовалось распределение энергии возбуждения 5H состоящее из двух гауссов: "mean"="0.4" "shape"="gauss" "strength"="1" "width"="0.02355"

"mean"="1.2" "shape"="gauss" "strength"="1" "width"="0.2355". Значение, разыгрывающееся случайным образом из описанного распределения использовалось как добавка к массе оснровного состояния 5H, равного 4.69036244;  // [GeV]. масса основного состояния задается пользователем в макросе симуляции. Исходя из заданного распределения, понятны раздвоения линий.

При разыгрывания бинарной реакции, в случае, если раыгранная энергия возбуждения превышает порог реакции, то энергия возбуждения разыгрывается ещё раз, пока бинарная реакция не сможет произойти. 

Для разыгрывания бинарной реакции (6he + h2 - > 5H + 3He)  использовалось распределение полярного угла вылета продуктов реакции в с.ц.м реакции. Распределение считывалось из прикрепленного файла.
Рассматривались события, соответствующие второму максимуму углового распределения.  (зелёные линии). Как и в рассчётах SIMONE, в данном случае, He3 в лабе вылетает под углами (21,33) в лабе.

Все результаты совпадают с полученными в SIMONE. 

Существующие проблемы

Возникла проблема, скорее всего связанная с  использованием генератора случайных чисел, при разыгрывании угла вылета продуктов бинарной реакции в сцм. Double_t thetaCM = fADFunction->GetRandom(1.,150.)*TMath::DegToRad(); Было

выяснено, что иногда (при большой статистике > 10000 событий) возникают события, в которых кинетическая энергия 6He равна 0,

поэтому симуляция зацикливается на этапе разыгрывания бинарной реации. 

В методах ERtextDecay файл с распределением должен иметь особенную структуру. в использованном выше она немножко другая. как лучше поступить ? пытаться подгонять файл под функциональность ERtextdecay или ставить задачу допилить этот класс? 
#5 - 03/22/2018 07:22 AM - Vitaliy Schetinin

Относительно ERTextDecay - давайте чтение из текстового файла применять, только тогда, когда не можем запрограммировать быстро и

вычислительно просто результат распада. В этом случае получилось, поэтому надо просто зафиксить проблему с нулевой кин энергией

6He. Мое мнение - нужно просто ничего не рождать и такие события уйдут в фоновые.

#6 - 03/22/2018 02:54 PM - Ivan Muzalevsky

- Status changed from Открыта to Закрыта

#7 - 03/27/2018 01:15 PM - Vratislav Chudoba

- Related to bugs #168: события с нулевой скоростью 6he? added

#8 - 03/27/2018 01:16 PM - Vratislav Chudoba

- Description updated

- % Done changed from 100 to 90

#9 - 03/27/2018 04:42 PM - Ivan Muzalevsky

- Description updated

- % Done changed from 90 to 100

#10 - 03/27/2018 05:15 PM - Ivan Muzalevsky

- Description updated

#11 - 08/14/2018 02:29 PM - Ivan Muzalevsky

- Description updated

Files

ERh5KinAD.pdf 917 KB 03/21/2018 Ivan Muzalevsky

Cs_6He_d_3He_5H_35-25AMeV.txt 6.41 KB 03/21/2018 Ivan Muzalevsky

showData.C 4.27 KB 03/21/2018 Ivan Muzalevsky

exp1803_sim_digi.C 12.7 KB 03/21/2018 Ivan Muzalevsky

drawh5.C 17.2 KB 03/21/2018 Ivan Muzalevsky
